import aiofiles
import aiohttp


class MultiTaskRepository:
    async def web(self, url: str) -> dict | None:
        async with aiohttp.ClientSession() as session:
            async with session.get(url) as response:
                try:
                    response.raise_for_status()
                    return response.json()
                except Exception as e:
                    print("Web error occurred: ", e)
                    return None

    async def file(self, file_path: str) -> str | None:
        async with aiofiles.open(file_path) as file:
            try:
                return await file.read()
            except Exception as e:
                print("File error occurred: ", e)
                return None
